/**
 *     $Id: tokenpasting.c,v 1.1.1.1 2008-04-28 17:32:53 mbroeker Exp $
 * $Source: /development/c/demos/tokenpasting.c,v $
 *
 * Description: Demonstration of the secret token concatenation mechanism
 */

#include <stdio.h>
#include <stdlib.h>

#define a(a,b) { tsb.fd##a = b; }

struct {
    int fd1;
    int fd2;
    int fd3;
} tsb;

int main (int argc, char **argv)
{
    a (1, 10);
    a (2, 20);
    a (3, 30);

    printf ("1=[%d] 2=[%d] 3=[%d]\n", tsb.fd1, tsb.fd2, tsb.fd3);

    return EXIT_SUCCESS;
}
